﻿namespace Platform.Geo
{
    public enum GeoManeuverKind
    {
        //
        // Summary:
        //     The maneuver is not defined.
        None = 0,
        //
        // Summary:
        //     The start of the route.
        Start = 1,
        //
        // Summary:
        //     A stopover on the route.
        Stopover = 2,
        //
        // Summary:
        //     The route has resumed after a stopover.
        StopoverResume = 3,
        //
        // Summary:
        //     The end of the route.
        End = 4,
        //
        // Summary:
        //     Go straight.
        GoStraight = 5,
        //
        // Summary:
        //     Make a U-turn to the left.
        UTurnLeft = 6,
        //
        // Summary:
        //     Make a U-turn to the right.
        UTurnRight = 7,
        //
        // Summary:
        //     Keep left.
        TurnKeepLeft = 8,
        //
        // Summary:
        //     Keep right.
        TurnKeepRight = 9,
        //
        // Summary:
        //     Make a gentle left turn.
        TurnLightLeft = 10,
        //
        // Summary:
        //     Make a gentle right turn.
        TurnLightRight = 11,
        //
        // Summary:
        //     Turn left.
        TurnLeft = 12,
        //
        // Summary:
        //     Turn right.
        TurnRight = 13,
        //
        // Summary:
        //     Make a hard left turn.
        TurnHardLeft = 14,
        //
        // Summary:
        //     Make a hard right turn.
        TurnHardRight = 15,
        //
        // Summary:
        //     Enter the freeway on the left.
        FreewayEnterLeft = 16,
        //
        // Summary:
        //     Enter the freeway on the right.
        FreewayEnterRight = 17,
        //
        // Summary:
        //     Leave the freeway on the left.
        FreewayLeaveLeft = 18,
        //
        // Summary:
        //     Leave the freeway on the right.
        FreewayLeaveRight = 19,
        //
        // Summary:
        //     Continue on the freeway on the left.
        FreewayContinueLeft = 20,
        //
        // Summary:
        //     Continue on the freeway on the right.
        FreewayContinueRight = 21,
        //
        // Summary:
        //     Enter the traffic circle on the left.
        TrafficCircleLeft = 22,
        //
        // Summary:
        //     Enter the traffic circle on the right.
        TrafficCircleRight = 23,
        //
        // Summary:
        //     Take the ferry.
        TakeFerry = 24
    }
}
